<template>
  <v-app-bar fixed app color="#536dfe" dark>
    <v-app-bar-nav-icon @click="toggleDrawer" />
    <!-- <v-btn icon @click.stop="miniVariant = !miniVariant">
      <v-icon>mdi-{{ `chevron-${miniVariant ? 'right' : 'left'}` }}</v-icon>
    </v-btn>-->
    <!-- <v-btn icon @click.stop="clipped = !clipped">
      <v-icon>mdi-application</v-icon>
    </v-btn>
    <v-btn icon @click.stop="fixed = !fixed">
      <v-icon>mdi-minus</v-icon>
    </v-btn>-->
    <v-toolbar-title v-text="title" />
    <v-spacer />
    <!-- <v-btn icon @click.stop="rightDrawer = !rightDrawer">
      <v-icon>mdi-menu</v-icon>
    </v-btn>-->
    <v-btn class="ma-2" tile outlined color="back" v-if="ok">{{ titleUser }}</v-btn>
    <v-btn color="red darken-1" dark v-if="ok" @click="logout">Login</v-btn>
  </v-app-bar>
</template>
<script>
import { auth } from '@/services/firebase'
import Cookie from 'js-cookie'
import { mapGetters, mapActions } from 'vuex'
export default {
  data() {
    return { title: 'Vuetify.js', user: '', ok: false }
  },
  computed: {
     ...mapGetters({
        getUser: 'getUser'
    }),
    titleUser(){
      return this.getUser.email
    }
  },
  mounted() {
    if (this.$nuxt.$store.state.users.user) {
      this.ok = true
      this.user = this.getUser.email
    } else {
      this.ok = false
    }
  },
  methods: {  
    OK() {
      if (this.$nuxt.$store.state.users.user == null) {
      }
    },
    toggleDrawer() {
      this.$store.commit('SET_DRAWER', !this.$store.state.template.drawer)
    },
    async logout() {
      console.log('signOut')
      await auth.signOut()
      await Cookie.remove('access_token')
      location.href = '/formLogin'
    },
  },
}
</script>
